<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionWashHandsItem Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d38/class_action_wash_hands_item.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionWashHandsItem Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionWashHandsItem:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../db/d38/class_action_wash_hands_item.png" usemap="#ActionWashHandsItem_map" alt=""/>
  <map id="ActionWashHandsItem_map" name="ActionWashHandsItem_map">
<area href="../../d1/d91/class_action_single_use_base.html" alt="ActionSingleUseBase" shape="rect" coords="0,0,137,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a9546542a751a9c94aa1dfca6f5cfb05e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_wash_hands_item.html#a9546542a751a9c94aa1dfca6f5cfb05e">ActionWashHandsItem</a> ()</td></tr>
<tr class="separator:a9546542a751a9c94aa1dfca6f5cfb05e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a472f724944ce406fcdae7b2cc669693f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_wash_hands_item.html#a472f724944ce406fcdae7b2cc669693f">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a472f724944ce406fcdae7b2cc669693f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c3da11daef3a97e1d19d1837b30c2cc"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_wash_hands_item.html#a6c3da11daef3a97e1d19d1837b30c2cc">HasTarget</a> ()</td></tr>
<tr class="separator:a6c3da11daef3a97e1d19d1837b30c2cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa901fc82d8ac431854cef5ebbfa1fec1"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_wash_hands_item.html#aa901fc82d8ac431854cef5ebbfa1fec1">HasProneException</a> ()</td></tr>
<tr class="separator:aa901fc82d8ac431854cef5ebbfa1fec1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08a351a004eb38d7b2b357557b6b5be0"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_wash_hands_item.html#a08a351a004eb38d7b2b357557b6b5be0">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a08a351a004eb38d7b2b357557b6b5be0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34c07ce3d05820f405c0428081fbb2bc"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_wash_hands_item.html#a34c07ce3d05820f405c0428081fbb2bc">OnEndServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a34c07ce3d05820f405c0428081fbb2bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a8ec4910fb15678b3363d7d3b3e8289b3"><td class="memItemLeft" align="right" valign="top">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d38/class_action_wash_hands_item.html#a8ec4910fb15678b3363d7d3b3e8289b3">WASH_HANDS_AMOUNT</a> = 250</td></tr>
<tr class="separator:a8ec4910fb15678b3363d7d3b3e8289b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html#l00001">1</a> of file <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html">ActionWashHandsItem.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a9546542a751a9c94aa1dfca6f5cfb05e" name="a9546542a751a9c94aa1dfca6f5cfb05e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9546542a751a9c94aa1dfca6f5cfb05e">&#9670;&#160;</a></span>ActionWashHandsItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionWashHandsItem::ActionWashHandsItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html#l00005">5</a> of file <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html">ActionWashHandsItem.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a08a351a004eb38d7b2b357557b6b5be0" name="a08a351a004eb38d7b2b357557b6b5be0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08a351a004eb38d7b2b357557b6b5be0">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionWashHandsItem::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html#l00029">29</a> of file <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html">ActionWashHandsItem.c</a>.</p>

</div>
</div>
<a id="a472f724944ce406fcdae7b2cc669693f" name="a472f724944ce406fcdae7b2cc669693f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a472f724944ce406fcdae7b2cc669693f">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWashHandsItem::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html#l00013">13</a> of file <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html">ActionWashHandsItem.c</a>.</p>

</div>
</div>
<a id="aa901fc82d8ac431854cef5ebbfa1fec1" name="aa901fc82d8ac431854cef5ebbfa1fec1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa901fc82d8ac431854cef5ebbfa1fec1">&#9670;&#160;</a></span>HasProneException()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionWashHandsItem::HasProneException </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html#l00024">24</a> of file <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html">ActionWashHandsItem.c</a>.</p>

</div>
</div>
<a id="a6c3da11daef3a97e1d19d1837b30c2cc" name="a6c3da11daef3a97e1d19d1837b30c2cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c3da11daef3a97e1d19d1837b30c2cc">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionWashHandsItem::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html#l00019">19</a> of file <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html">ActionWashHandsItem.c</a>.</p>

</div>
</div>
<a id="a34c07ce3d05820f405c0428081fbb2bc" name="a34c07ce3d05820f405c0428081fbb2bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34c07ce3d05820f405c0428081fbb2bc">&#9670;&#160;</a></span>OnEndServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWashHandsItem::OnEndServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html#l00038">38</a> of file <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html">ActionWashHandsItem.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a8ec4910fb15678b3363d7d3b3e8289b3" name="a8ec4910fb15678b3363d7d3b3e8289b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ec4910fb15678b3363d7d3b3e8289b3">&#9670;&#160;</a></span>WASH_HANDS_AMOUNT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionWashHandsItem::WASH_HANDS_AMOUNT = 250</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html#l00003">3</a> of file <a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html">ActionWashHandsItem.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/<a class="el" href="../../d4/dee/_action_wash_hands_item_8c_source.html">ActionWashHandsItem.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/d38/class_action_wash_hands_item.html">ActionWashHandsItem</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
